Index: issm/trunk/src/c/classes/Patch.cpp
===================================================================
--- issm/trunk/src/c/classes/Patch.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/Patch.cpp	(revision 13975)
@@ -3,5 +3,5 @@
  */
 
-/*Include files: {{{*/
+/*Include files */
 #ifdef HAVE_CONFIG_H
 	#include <config.h>
@@ -19,14 +19,13 @@
 #include "../shared/shared.h"
 #include "../include/include.h"
-/*}}}*/
 
 /*Object constructors and destructors:*/
 /*FUNCTION Patch::Patch() default constructor {{{*/
 Patch::Patch(){
-	this->numrows=0;
-	this->numcols=0;
-	this->maxvertices=0;
-	this->maxnodes=0;
-	this->values=NULL;
+	this->numrows     = 0;
+	this->numcols     = 0;
+	this->maxvertices = 0;
+	this->maxnodes    = 0;
+	this->values      = NULL;
 }
 /*}}}*/
@@ -34,9 +33,7 @@
 Patch::Patch(int in_numrows, int in_maxvertices, int in_maxnodes){
 
-	int i,j;
 	this->numrows=in_numrows;
 	this->maxvertices=in_maxvertices;
 	this->maxnodes=in_maxnodes;
-    
 	this->numcols=1  //enum_type
 		+1           //step
@@ -52,7 +49,7 @@
 	}
 	else{
-	        this->values=xNew<IssmDouble>(this->numcols*this->numrows);
-		for(i=0;i<this->numrows;i++){
-			for(j=0;j<this->numcols;j++){
+		this->values=xNew<IssmDouble>(this->numcols*this->numrows);
+		for(int i=0;i<this->numrows;i++){
+			for(int j=0;j<this->numcols;j++){
 				this->values[i*this->numcols+j]=NAN;
 			}
@@ -98,6 +95,5 @@
 
 	/*Let's remember what is on a row: 
-	 enum_type step time element_id interpolation vertices_ids nodal_values
-	 */
+	 enum_type step time element_id interpolation vertices_ids nodal_values */
 	row[0]=enum_type;
 	row[1]=(IssmDouble)step;
@@ -113,8 +109,7 @@
 void Patch::Gather(void){
 
-	int         i;
 	int         count;
-	extern int  my_rank;
-	extern int  num_procs;
+	int         my_rank;
+	int         num_procs;
 	int         total_numrows;
 	int         node_numrows;
@@ -124,8 +119,12 @@
 	#endif
 
+	/*recover my_rank:*/
+	my_rank=IssmComm::GetRank();
+	num_procs=IssmComm::GetSize();
+
 	/*First, figure out total number of rows combining all the cpus: */
 	#ifdef _HAVE_MPI_
-	MPI_Reduce(&this->numrows,&total_numrows,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD );
-	MPI_Bcast(&total_numrows,1,MPI_INT,0,MPI_COMM_WORLD);
+	MPI_Reduce(&this->numrows,&total_numrows,1,MPI_INT,MPI_SUM,0,IssmComm::GetComm() );
+	MPI_Bcast(&total_numrows,1,MPI_INT,0,IssmComm::GetComm());
 	#else
 	total_numrows=this->numrows;
@@ -147,12 +146,12 @@
 	/*Now, ask other nodes to send their values: */
 	#ifdef _HAVE_MPI_
-	for (i=1;i<num_procs;i++){
+	for(int i=1;i<num_procs;i++){
 		if (my_rank==i){ 
-			MPI_Send(&this->numrows,1,MPI_INT,0,1,MPI_COMM_WORLD);   
-			if (this->numrows)MPI_Send(this->values,this->numrows*this->numcols,MPI_DOUBLE,0,1,MPI_COMM_WORLD); 
+			MPI_Send(&this->numrows,1,MPI_INT,0,1,IssmComm::GetComm());   
+			if (this->numrows)MPI_Send(this->values,this->numrows*this->numcols,MPI_DOUBLE,0,1,IssmComm::GetComm()); 
 		}
 		if (my_rank==0){
-			MPI_Recv(&node_numrows,1,MPI_INT,i,1,MPI_COMM_WORLD,&status); 
-			if (node_numrows)MPI_Recv(total_values+count,node_numrows*this->numcols,MPI_DOUBLE,i,1,MPI_COMM_WORLD,&status);
+			MPI_Recv(&node_numrows,1,MPI_INT,i,1,IssmComm::GetComm(),&status); 
+			if (node_numrows)MPI_Recv(total_values+count,node_numrows*this->numcols,MPI_DOUBLE,i,1,IssmComm::GetComm(),&status);
 			count+=node_numrows*this->numcols;
 		}
Index: issm/trunk/src/c/classes/Patch.h
===================================================================
--- issm/trunk/src/c/classes/Patch.h	(revision 13405)
+++ issm/trunk/src/c/classes/Patch.h	(revision 13975)
@@ -4,5 +4,5 @@
 
 /*A Patch object is used to store all results held in elements, in a serial way, and to dump them to disk. 
-	
+
 	Each row of the Patch object is made of the following information: 
 	- the result enum_type, 
@@ -12,5 +12,5 @@
 	- the vertices ids, 
 	- and the values at the nodes (could be different from the vertices).
-	
+
 	For ex: 
 	1. on a Beam element, Vx, at step 1, time .5, element id 1, interpolation type P0 (constant), vertices ids 1 and 2, one constant value 4.5
@@ -19,5 +19,4 @@
 	   VzEnum 2  .8  2 P1  1 3 4     4.5 3.2  2.5
 */
-
 
 #ifndef _PATCH_H_
@@ -29,10 +28,9 @@
 	public:
 
-		int     numrows; //number of results held in Patch object
-		int     numcols; //number of columns
-		int     maxvertices; //maxvertices corresponds to largest amount of vertices on a given element, determined by the geometry.
-		int     maxnodes;    // maxnodes corresponds to the largest amout of nodes on a given element, determined by the interpolation type.
-		
-		IssmDouble* values;  //result values
+		int         numrows;       //number of results held in Patch object
+		int         numcols;       //number of columns
+		int         maxvertices;   //largest amount of vertices on a given element, determined by geometry
+		int         maxnodes;      //the largest amout of nodes on a given element, determined by interpolation
+		IssmDouble *values;        //result values
 
 		Patch();
Index: issm/trunk/src/c/classes/RiftStruct.cpp
===================================================================
--- issm/trunk/src/c/classes/RiftStruct.cpp	(revision 13975)
+++ issm/trunk/src/c/classes/RiftStruct.cpp	(revision 13975)
@@ -0,0 +1,95 @@
+/*!\file RiftStruct.c
+ * \brief: implementation of the RiftStruct object
+ */
+
+#include "./classes.h"
+#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../shared/shared.h"
+#include "../include/include.h"
+
+/*RiftStruct constructors and destructor*/
+RiftStruct::RiftStruct(void){/*{{{*/
+
+	this->numrifts             = 0;
+	this->riftsnumsegments     = NULL;
+	this->riftssegments        = NULL;
+	this->riftsnumpairs        = NULL;
+	this->riftspairs           = NULL;
+	this->riftsnumpenaltypairs = NULL;
+	this->riftspenaltypairs    = NULL;
+	this->riftstips            = NULL;
+	this->state                = NULL;
+
+}/*}}}*/
+RiftStruct::RiftStruct(int numrifts_in,int *riftsnumsegments_in,double **riftssegments_in,int *riftsnumpairs_in,double **riftspairs_in,int *riftsnumpenaltypairs_in,double **riftspenaltypairs_in,double* riftstips_in){/*{{{*/
+
+	int i;
+
+	/*numrifts*/
+	this->numrifts = numrifts_in;
+	if(!numrifts_in) return;
+
+	/*riftsnumsegments*/
+	_assert_(riftsnumsegments_in);
+	this->riftsnumsegments=xNew<int>(numrifts_in);
+	xMemCpy<int>(this->riftsnumsegments,riftsnumsegments_in,numrifts_in);
+
+	/*riftssegments*/
+	_assert_(riftssegments_in);
+	this->riftssegments=xNew<double*>(numrifts_in);
+	for(i=0;i<numrifts_in;i++){
+		this->riftssegments[i]=xNew<double>(riftsnumsegments_in[i]*3);
+		xMemCpy<double>(this->riftssegments[i],riftssegments_in[i],riftsnumsegments_in[i]*3);
+	}
+
+	/*riftsnumpairs*/
+	_assert_(riftsnumpairs_in);
+	this->riftsnumpairs=xNew<int>(numrifts_in);
+	xMemCpy<int>(this->riftsnumpairs,riftsnumpairs_in,numrifts_in);
+
+	/*riftspairs*/
+	_assert_(riftspairs_in);
+	this->riftspairs=xNew<double*>(numrifts_in);
+	for(i=0;i<numrifts_in;i++){
+		this->riftspairs[i]=xNew<double>(riftsnumpairs_in[i]*2);
+		xMemCpy<double>(this->riftspairs[i],riftspairs_in[i],riftsnumpairs_in[i]*2);
+	}
+
+	/*riftsnumpenaltypairs*/
+	_assert_(riftsnumpenaltypairs_in);
+	this->riftsnumpenaltypairs=xNew<int>(numrifts_in);
+	xMemCpy<int>(this->riftsnumpenaltypairs,riftsnumpenaltypairs_in,numrifts_in);
+
+	/*riftspenaltypairs*/
+	_assert_(riftspenaltypairs_in);
+	this->riftspenaltypairs=xNew<double*>(numrifts_in);
+	for(i=0;i<numrifts_in;i++){
+		this->riftspenaltypairs[i]=xNew<double>(riftsnumpenaltypairs_in[i]*7);
+		xMemCpy<double>(this->riftspenaltypairs[i],riftspenaltypairs_in[i],riftsnumpenaltypairs_in[i]*7);
+	}
+
+	/*riftstips*/
+	_assert_(riftstips_in);
+	this->riftstips=xNew<double>(2*numrifts_in);
+	xMemCpy<double>(this->riftstips,riftstips_in,2*numrifts_in);
+
+	/*state*/
+	this->state=xNew<double*>(numrifts_in);
+	for(i=0;i<numrifts_in;i++){
+		this->state[i]=xNew<double>(riftsnumpenaltypairs_in[i]);
+		for(int j=0;j<riftsnumpenaltypairs_in[i];j++) (this->state[i])[j]=FreeEnum;
+	}
+
+}/*}}}*/
+RiftStruct::~RiftStruct(void){/*{{{*/
+
+	xDelete<int>(this->riftsnumsegments);
+	xDelete<double*>(this->riftssegments);
+	xDelete<int>(this->riftsnumpairs);
+	xDelete<double*>(this->riftspairs);
+	xDelete<int>(this->riftsnumpenaltypairs);
+	xDelete<double*>(this->riftspenaltypairs);
+	xDelete<double>(this->riftstips);
+	xDelete<double*>(this->state);
+
+}/*}}}*/
Index: issm/trunk/src/c/classes/RiftStruct.h
===================================================================
--- issm/trunk/src/c/classes/RiftStruct.h	(revision 13975)
+++ issm/trunk/src/c/classes/RiftStruct.h	(revision 13975)
@@ -0,0 +1,26 @@
+/*!\file:  RiftStruct.h
+ * \brief place holder for Rift Structure in mex module
+ */ 
+
+#ifndef _RIFTSTRUCT_H_
+#define _RIFTSTRUCT_H_
+
+class RiftStruct{
+
+	public:
+		int      numrifts;
+		double **riftssegments;
+		int     *riftsnumsegments;
+		double **riftspairs;
+		int     *riftsnumpairs;
+		double **riftspenaltypairs;
+		int     *riftsnumpenaltypairs;
+		double  *riftstips;
+		double **state;
+
+		RiftStruct();
+		RiftStruct(int numrifts_in,int *riftsnumsegments_in,double **riftssegments_in,int *riftsnumpairs_in,double **riftspairs_in,int *riftsnumpenaltypairs_in,double **riftspenaltypairs_in,double* riftstips_in);
+		~RiftStruct();
+};
+
+#endif
Index: issm/trunk/src/c/classes/Update.h
===================================================================
--- issm/trunk/src/c/classes/Update.h	(revision 13405)
+++ issm/trunk/src/c/classes/Update.h	(revision 13975)
@@ -7,7 +7,6 @@
 
 /*Headers:*/
-/*{{{*/
 #include "../shared/shared.h"
-/*}}}*/
+class IoModel;
 
 class Update{
@@ -33,3 +32,2 @@
 
 #endif //ifndef _UPDATE_H_
-
Index: issm/trunk/src/c/classes/bamg/BamgGeom.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/BamgGeom.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/BamgGeom.cpp	(revision 13975)
@@ -1,4 +1,4 @@
 #include <stdio.h>
-#include "../objects.h"
+#include "../objects/objects.h"
 #include "../../io/io.h"
 #include "../../shared/shared.h"
Index: issm/trunk/src/c/classes/bamg/BamgMesh.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/BamgMesh.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/BamgMesh.cpp	(revision 13975)
@@ -1,4 +1,4 @@
 #include <stdio.h>
-#include "../objects.h"
+#include "../objects/objects.h"
 #include "../../io/io.h"
 #include "../../shared/shared.h"
Index: issm/trunk/src/c/classes/bamg/BamgOpts.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/BamgOpts.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/BamgOpts.cpp	(revision 13975)
@@ -2,5 +2,5 @@
 #include "../../shared/shared.h"
 #include "../../include/include.h"
-#include "../objects.h"
+#include "../objects/objects.h"
 #include "../../io/io.h"
 
Index: issm/trunk/src/c/classes/bamg/BamgQuadtree.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/BamgQuadtree.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/BamgQuadtree.cpp	(revision 13975)
@@ -3,5 +3,5 @@
 #include <stdlib.h>
 
-#include "../objects.h"
+#include "../objects/objects.h"
 
 namespace bamg {
@@ -428,5 +428,4 @@
 		  }
 
-
 		if ( n0 > 0) 
 		  {  
Index: issm/trunk/src/c/classes/bamg/BamgQuadtree.h
===================================================================
--- issm/trunk/src/c/classes/bamg/BamgQuadtree.h	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/BamgQuadtree.h	(revision 13975)
@@ -34,5 +34,4 @@
 					void    DeepEcho()   {_error_("not implemented yet"); };
 					int     Id()         {_error_("not implemented yet"); };
-					int     MyRank()     {_error_("not implemented yet"); };
 					int     ObjectEnum() {_error_("not implemented yet"); };
 					Object *copy()       {_error_("not implemented yet"); };
Index: issm/trunk/src/c/classes/bamg/BamgVertex.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/BamgVertex.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/BamgVertex.cpp	(revision 13975)
@@ -4,5 +4,5 @@
 #include <ctime>
 
-#include "../objects.h"
+#include "../objects/objects.h"
 
 namespace bamg {
Index: issm/trunk/src/c/classes/bamg/Geometry.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/Geometry.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/Geometry.cpp	(revision 13975)
@@ -4,5 +4,5 @@
 #include <ctime>
 
-#include "../objects.h"
+#include "../objects/objects.h"
 #include "../../include/include.h"
 #include "../../shared/Exceptions/exceptions.h"
@@ -68,5 +68,5 @@
 
 		double Hmin = HUGE_VAL;// the infinie value 
-		int i,j,k,n,i0,i1,i2,i3;
+		int i,j,n,i0,i1,i2,i3;
 
 		/*initialize some variables*/
@@ -173,5 +173,5 @@
 			}
 			delete [] verticeslength;
-			
+
 		}
 		else{
@@ -499,13 +499,11 @@
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, MeshGeom.cpp/AfterRead)*/
 
-		long               i,j,k;
-		int                jj;
-		long              *head_v   = new long[nbv];
-		long              *next_p   = new long[2*nbe];
-		float             *eangle   = new float[nbe];
-		double             eps      = 1e-20;
-		BamgQuadtree           quadtree; // build quadtree to find duplicates
-		BamgVertex        *v0       = vertices;
-		GeomVertex *v0g      = (GeomVertex*) (void*)v0;
+		long          i          ,j,k;
+		long         *head_v   = new long[nbv];
+		long         *next_p   = new long[2 *nbe];
+		float        *eangle   = new float[nbe];
+		double        eps      = 1e-20;
+		BamgQuadtree  quadtree;                            // build quadtree to find duplicates
+		BamgVertex   *v0       = vertices;
 
 		k=0;
@@ -869,5 +867,5 @@
 		directionge[bge]=1;
 
-		while (eg0!=(GeomEdge*)vg0 && (*eg0)(direction0)!=(GeomVertex*)vg0){ 
+		while(eg0!=(GeomEdge*)vg0 && (*eg0)(direction0)!=(GeomVertex*)vg0){ 
 			if (bge<=0) {
 				if(NbTry) {
@@ -904,5 +902,4 @@
 			_assert_(tge>=0 && tge<=mxe);
 		}
-
 
 		if ((*eg0)(direction0)==(GeomVertex*)vg0)
Index: issm/trunk/src/c/classes/bamg/ListofIntersectionTriangles.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/ListofIntersectionTriangles.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/ListofIntersectionTriangles.cpp	(revision 13975)
@@ -4,5 +4,5 @@
 #include <ctime>
 
-#include "../objects.h"
+#include "../objects/objects.h"
 
 namespace bamg {
@@ -319,6 +319,4 @@
 				ilast=NewItem(t,ba[0],ba[1],ba[2]); }
 		}  //  outside departure
-
-
 
 		// recherche the intersection of [a,b] with Bh Mesh.
@@ -392,5 +390,4 @@
 				Icoor2 detbij = bamg::det((*t)[i],(*t)[j],b);
 
-
 				if (detbij >= 0) { //we find the triangle contening b
 					dt[0]=bamg::det((*t)[1],(*t)[2],b);
Index: issm/trunk/src/c/classes/bamg/Mesh.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/Mesh.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/Mesh.cpp	(revision 13975)
@@ -4,5 +4,5 @@
 #include <ctime>
 
-#include "../objects.h"
+#include "../objects/objects.h"
 
 namespace bamg {
@@ -201,5 +201,4 @@
 			 }
 
-
 		  if(nbe)
 			edges = new Edge[nbe];
@@ -270,5 +269,5 @@
 		double Hmin = HUGE_VAL;// the infinie value 
 		long i1,i2,i3;
-		long i,j;
+		long i;
 		Metric M1(1);
 		int verbose=0;
@@ -386,5 +385,5 @@
 		if(bamgmesh->Quadrilaterals){
 			if(verbose>5) _printLine_("      processing Quadrilaterals");
-			long i1,i2,i3,i4,iref;
+			long i1,i2,i3,i4;
 			triangles =new Triangle[nbt];
 			for (i=0;i<bamgmesh->QuadrilateralsSize[0];i++){
@@ -1009,9 +1008,9 @@
 
 		/*Intermediary*/
-		int i,k,num;
-		int verbose=0;
+		int i,k;
 
 		/*output*/
 		int* index=NULL;
+		int  num=0;
 
 		/*Get number of triangles*/
@@ -1024,5 +1023,4 @@
 		if (k){
 			index=xNew<int>(3*k);
-			num=0;
 			for (i=0;i<nbt;i++){
 				Triangle &t=triangles[i];
@@ -1245,5 +1243,4 @@
 		tt[2]->SetSingleVertexToTriangleConnectivity();
 
-
 		// swap if the point s is on a edge
 		if(izerodet>=0) {
@@ -1574,5 +1571,5 @@
 		//initialize subdomains[isd].head as 0
 		for (isd=0;isd<nbsubdomains;isd++) subdomains[isd].head =0;
-		  
+
 		k=0;
 		for (it=0;it<nbt;it++){
@@ -2539,5 +2536,4 @@
 			delete [] HeapArete;
 			delete [] HeapTriangle;
-
 
 			if (OutSide|| !Gh.subdomains || !Gh.nbsubdomains ) 
@@ -2695,5 +2691,4 @@
 					nbsubdomains=inew;}
 
-
 					for (it=0;it<nbt;it++)
 					 if ( mark[it] ==-1 ) 
@@ -3075,5 +3070,4 @@
 			if (verbose>5) _printLine_("   do nothing: costheta > 1");
 		}
-
 
 			long nbqq = (nbt*3)/2;
@@ -4273,5 +4267,4 @@
 			newedges[ie].adj[1]=newedges + ie +1;
 			R2 A = edges[i][0],B = edges[i][1];
-
 
 			kk += (i == edge4->SortAndAdd(GetId(edges[i][0]),GetId(edges[i][1])));
@@ -4343,5 +4336,4 @@
 		nbv = k;
 
-
 		kedge = new long[3*nbt+1];
 		ksplitarray = new long[nbt+1];
@@ -4412,5 +4404,4 @@
 				const Triangle & tt = ta;
 
-
 				const BamgVertex & v0 = t[VerticesOfTriangularEdge[j][0]];
 				const BamgVertex & v1 = t[VerticesOfTriangularEdge[j][1]];
@@ -4648,5 +4639,4 @@
 		  BTh.vertices[i].m =  BTh.vertices[i].m*2.;
 
-
 		ret = 2;
 		if (nbt>= maxnbt) goto Error; // bug 
@@ -4963,5 +4953,5 @@
 
 		/*Intermediaries*/
-		int                i,j,k;
+		int                i,k;
 		int                nbcurves    = 0;
 		int                NbNewPoints,NbEdgeCurve;
@@ -5001,5 +4991,5 @@
 				_assert_(nbv<maxnbv);
 				vertices[nbv]=Gh[i];
-				
+
 				//Add pointer from geometry (Gh) to vertex from mesh (Th)
 				Gh[i].MeshVertexHook=vertices+nbv;
@@ -5196,5 +5186,5 @@
 										va = vb;
 									}
-									
+
 									/*We just added one edge to the curve: Go to the next one*/
 									lcurve = lcurveb;
@@ -5371,5 +5361,5 @@
 					/*Get curve number*/
 					int nc=ei.GeomEdgeHook->CurveNumber;
-					
+
 					//_printLine_("Dealing with curve number " << nc);
 					//_printLine_("edge on geometry is same as GhCurve? " << (ei.GeomEdgeHook==Gh.curves[nc].FirstEdge || ei.GeomEdgeHook==Gh.curves[nc].LastEdge)?"yes":"no");
@@ -5419,5 +5409,5 @@
 				/*Get edge of Bth with index iedge*/
 				Edge &ei = BTh.edges[iedge];
-			
+
 				/*Initialize variables*/
 				double Lstep=0,Lcurve=0;    // step between two points   (phase==1) 
@@ -5536,5 +5526,4 @@
 						}// for(;;) end of the curve
 					}
-
 
 					if (phase){ // construction of the last edge
@@ -5787,5 +5776,4 @@
 		BamgVertex & s2= (*t2)[OppositeVertex[a2]];
 
-
 		Icoor2 dets2 = det(*pva,*pvb,s2);
 		Icoor2 det1=t1->det , det2=t2->det ;
Index: issm/trunk/src/c/classes/bamg/R2.h
===================================================================
--- issm/trunk/src/c/classes/bamg/R2.h	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/R2.h	(revision 13975)
@@ -39,9 +39,4 @@
 	template <class R,class RR> class P2xP2{
 
-		  private:
-
-			  friend P2<R,RR> operator*(P2<R,RR> c,P2xP2<R,RR> cc){
-				  return P2<R,RR>(c.x*cc.x.x + c.y*cc.y.x, c.x*cc.x.y + c.y*cc.y.y);
-			  } 
 		  public:
 
Index: issm/trunk/src/c/classes/bamg/SetOfE4.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/SetOfE4.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/SetOfE4.cpp	(revision 13975)
@@ -1,3 +1,3 @@
-#include "../objects.h"
+#include "../objects/objects.h"
 
 using namespace std;
Index: issm/trunk/src/c/classes/bamg/Triangle.cpp
===================================================================
--- issm/trunk/src/c/classes/bamg/Triangle.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/bamg/Triangle.cpp	(revision 13975)
@@ -4,5 +4,5 @@
 #include <ctime>
 
-#include "../objects.h"
+#include "../objects/objects.h"
 
 namespace bamg {
@@ -424,5 +424,4 @@
 									 sinb12 = double(det2),
 									 sinba2 = double(t2->det);
-
 
 						 // angle b12 > angle ba2 => cotg(angle b12) < cotg(angle ba2)
Index: issm/trunk/src/c/classes/classes.h
===================================================================
--- issm/trunk/src/c/classes/classes.h	(revision 13405)
+++ issm/trunk/src/c/classes/classes.h	(revision 13975)
@@ -30,4 +30,7 @@
 #include "./OptArgs.h"
 #include "./OptPars.h"
+#include "./AdolcEdf.h"
+#include "./IssmComm.h"
+#include "./RiftStruct.h"
 
 #endif
Index: issm/trunk/src/c/classes/dakota/DakotaPlugin.cpp
===================================================================
--- issm/trunk/src/c/classes/dakota/DakotaPlugin.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/dakota/DakotaPlugin.cpp	(revision 13975)
@@ -15,5 +15,4 @@
  */ 
 
-
 #ifdef HAVE_CONFIG_H
 	#include <config.h>
@@ -25,6 +24,6 @@
 #include "../../shared/shared.h"
 #include "../../include/include.h"
+#include "../../solutions/solutions.h"
 #include "../classes.h"
-#include "../../modules/Dakotax/Dakotax.h"
 
 /*Standard includes: */
@@ -34,25 +33,22 @@
 
 //Dakota headers
-#include "DakotaResponse.H"
-#include "ParamResponsePair.H"
-#include "DakotaPlugin.h"
-#include "system_defs.h"
-#include "ProblemDescDB.H"
-#include "ParallelLibrary.H"
+#include <DakotaResponse.H>
+#include <ParamResponsePair.H>
+#include <system_defs.h>
+#include <ProblemDescDB.H>
+#include <ParallelLibrary.H>
+#include "./DakotaPlugin.h"
 
 namespace SIM {
 
-//constructor
-DakotaPlugin::DakotaPlugin(const Dakota::ProblemDescDB& problem_db,void* in_femmodel):Dakota::DirectApplicInterface(problem_db){
-
+DakotaPlugin::DakotaPlugin(const Dakota::ProblemDescDB& problem_db,void* in_femmodel):Dakota::DirectApplicInterface(problem_db){/*{{{*/
 
 	femmodel=in_femmodel;
 	counter=0;
-}
-
-//destructor
-DakotaPlugin::~DakotaPlugin(){ /* Virtual destructor handles referenceCount at Interface level. */ }
-
-int DakotaPlugin::derived_map_ac(const Dakota::String& driver) {
+}/*}}}*/
+DakotaPlugin::~DakotaPlugin(){/*{{{*/
+	/* Virtual destructor handles referenceCount at Interface level. */ 
+}/*}}}*/
+int DakotaPlugin::derived_map_ac(const Dakota::String& driver){/*{{{*/
 
 	int i;
@@ -80,5 +76,4 @@
 		memcpy(variable_descriptor,label.c_str(),(strlen(label.c_str())+1)*sizeof(char));
 
-		
 		variable_descriptors[i]=variable_descriptor;
 	}
@@ -88,5 +83,5 @@
 
 	/*run core solution: */
-	SpawnCore(responses,numFns, variables,variable_descriptors,numACV,femmodel,counter);
+	DakotaSpawnCore(responses,numFns, variables,variable_descriptors,numACV,femmodel,counter);
 
 	/*populate responses: */
@@ -94,5 +89,4 @@
 		fnVals[i]=responses[i];
 	}
-
 
 	/*Free ressources:*/
@@ -106,13 +100,10 @@
 
 	return 0;
-}
-  
-
-int DakotaPlugin::GetCounter(){
+}/*}}}*/
+int DakotaPlugin::GetCounter(){/*{{{*/
 	return counter;
-}
+}/*}}}*/
 
 } // namespace SIM
 
-
 #endif //only works if dakota library has been compiled in.
Index: issm/trunk/src/c/classes/dakota/DakotaPlugin.h
===================================================================
--- issm/trunk/src/c/classes/dakota/DakotaPlugin.h	(revision 13405)
+++ issm/trunk/src/c/classes/dakota/DakotaPlugin.h	(revision 13975)
@@ -5,13 +5,10 @@
 #define _DAKOTAPLUGIN_H
 
-
 #ifdef _HAVE_DAKOTA_ //only works if dakota library has been compiled in.
 
 /*Headers:*/
-/*{{{*/
-#include "DirectApplicInterface.H"
+#include <DirectApplicInterface.H>
 #include "../../toolkits/toolkits.h"
 #include "../../classes/classes.h"
-/*}}}*/
 
 namespace SIM {
@@ -49,4 +46,3 @@
 #endif //only works if dakota library has been compiled in.
 
-
 #endif
Index: issm/trunk/src/c/classes/kriging/ExponentialVariogram.cpp
===================================================================
--- issm/trunk/src/c/classes/kriging/ExponentialVariogram.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/ExponentialVariogram.cpp	(revision 13975)
@@ -11,5 +11,5 @@
 #include <stdio.h>
 #include <string.h>
-#include "../objects.h"
+#include "../objects/objects.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
Index: issm/trunk/src/c/classes/kriging/ExponentialVariogram.h
===================================================================
--- issm/trunk/src/c/classes/kriging/ExponentialVariogram.h	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/ExponentialVariogram.h	(revision 13975)
@@ -25,5 +25,4 @@
 		void  DeepEcho(){_error_("Not implemented yet");};
 		int   Id(){_error_("Not implemented yet");}; 
-		int   MyRank(){_error_("Not implemented yet");};
 		int   ObjectEnum(){_error_("Not implemented yet");};
 		Object* copy(){_error_("Not implemented yet");};
Index: issm/trunk/src/c/classes/kriging/GaussianVariogram.cpp
===================================================================
--- issm/trunk/src/c/classes/kriging/GaussianVariogram.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/GaussianVariogram.cpp	(revision 13975)
@@ -11,5 +11,5 @@
 #include <stdio.h>
 #include <string.h>
-#include "../objects.h"
+#include "../objects/objects.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
Index: issm/trunk/src/c/classes/kriging/GaussianVariogram.h
===================================================================
--- issm/trunk/src/c/classes/kriging/GaussianVariogram.h	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/GaussianVariogram.h	(revision 13975)
@@ -26,5 +26,4 @@
 		void  DeepEcho(){_error_("Not implemented yet");};
 		int   Id(){_error_("Not implemented yet");}; 
-		int   MyRank(){_error_("Not implemented yet");};
 		int   ObjectEnum(){_error_("Not implemented yet");};
 		Object* copy(){_error_("Not implemented yet");};
Index: issm/trunk/src/c/classes/kriging/Observation.cpp
===================================================================
--- issm/trunk/src/c/classes/kriging/Observation.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/Observation.cpp	(revision 13975)
@@ -4,5 +4,5 @@
 
 #include <stdlib.h>
-#include "../objects.h"
+#include "../objects/objects.h"
 
 /*Observation constructors and destructor*/
@@ -35,6 +35,4 @@
 void Observation::Echo(void){
 
-	int  bit;
-
 	_printLine_("Observation");
 	_printLine_("   index : " << this->index);
Index: issm/trunk/src/c/classes/kriging/Observation.h
===================================================================
--- issm/trunk/src/c/classes/kriging/Observation.h	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/Observation.h	(revision 13975)
@@ -26,5 +26,4 @@
 		void    DeepEcho()  {_error_("Not implemented yet"); };
 		int     Id()        {_error_("Not implemented yet"); };
-		int     MyRank()    {_error_("Not implemented yet"); };
 		int     ObjectEnum(){_error_("Not implemented yet"); };
 		Object *copy()      {_error_("Not implemented yet"); };
Index: issm/trunk/src/c/classes/kriging/PowerVariogram.cpp
===================================================================
--- issm/trunk/src/c/classes/kriging/PowerVariogram.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/PowerVariogram.cpp	(revision 13975)
@@ -11,5 +11,5 @@
 #include <stdio.h>
 #include <string.h>
-#include "../objects.h"
+#include "../objects/objects.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
Index: issm/trunk/src/c/classes/kriging/PowerVariogram.h
===================================================================
--- issm/trunk/src/c/classes/kriging/PowerVariogram.h	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/PowerVariogram.h	(revision 13975)
@@ -25,5 +25,4 @@
 		void  DeepEcho(){_error_("Not implemented yet");};
 		int   Id(){_error_("Not implemented yet");}; 
-		int   MyRank(){_error_("Not implemented yet");};
 		int   ObjectEnum(){_error_("Not implemented yet");};
 		Object* copy(){_error_("Not implemented yet");};
Index: issm/trunk/src/c/classes/kriging/Quadtree.cpp
===================================================================
--- issm/trunk/src/c/classes/kriging/Quadtree.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/Quadtree.cpp	(revision 13975)
@@ -1,3 +1,3 @@
-#include "../objects.h"
+#include "../objects/objects.h"
 
 /*DOCUMENTATION What is a Quadtree? {{{
Index: issm/trunk/src/c/classes/kriging/Quadtree.h
===================================================================
--- issm/trunk/src/c/classes/kriging/Quadtree.h	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/Quadtree.h	(revision 13975)
@@ -29,5 +29,4 @@
 				void    DeepEcho()  {_error_("not implemented yet"); };
 				int     Id()        {_error_("not implemented yet"); };
-				int     MyRank()    {_error_("not implemented yet"); };
 				int     ObjectEnum(){_error_("not implemented yet"); };
 				Object *copy()      {_error_("not implemented yet"); };
Index: issm/trunk/src/c/classes/kriging/SphericalVariogram.cpp
===================================================================
--- issm/trunk/src/c/classes/kriging/SphericalVariogram.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/SphericalVariogram.cpp	(revision 13975)
@@ -11,5 +11,5 @@
 #include <stdio.h>
 #include <string.h>
-#include "../objects.h"
+#include "../objects/objects.h"
 #include "../../EnumDefinitions/EnumDefinitions.h"
 #include "../../shared/shared.h"
Index: issm/trunk/src/c/classes/kriging/SphericalVariogram.h
===================================================================
--- issm/trunk/src/c/classes/kriging/SphericalVariogram.h	(revision 13405)
+++ issm/trunk/src/c/classes/kriging/SphericalVariogram.h	(revision 13975)
@@ -25,5 +25,4 @@
 		void  DeepEcho(){_error_("Not implemented yet");};
 		int   Id(){_error_("Not implemented yet");}; 
-		int   MyRank(){_error_("Not implemented yet");};
 		int   ObjectEnum(){_error_("Not implemented yet");};
 		Object* copy(){_error_("Not implemented yet");};
Index: issm/trunk/src/c/classes/matrix/ElementVector.cpp
===================================================================
--- issm/trunk/src/c/classes/matrix/ElementVector.cpp	(revision 13405)
+++ issm/trunk/src/c/classes/matrix/ElementVector.cpp	(revision 13975)
@@ -36,5 +36,5 @@
 	/*intermediaries*/
 	int i,j,counter;
-	int gsize,fsize,ssize;
+	int gsize,fsize;
 	int* P=NULL;
 	bool found;
@@ -139,5 +139,5 @@
 	/*fill values with 0: */
 	this->values=xNewZeroInit<IssmDouble>(this->nrows);
-	
+
 	/*g list*/
 	this->gglobaldoflist=GetGlobalDofList(nodes,numnodes,GsetEnum,approximation);
@@ -151,5 +151,5 @@
 /*FUNCTION ElementVector::~ElementVector(){{{*/
 ElementVector::~ElementVector(){
-	
+
 	xDelete<IssmDouble>(this->values);
 	xDelete<int>(this->gglobaldoflist);
@@ -181,5 +181,5 @@
 		xDelete<IssmDouble>(localvalues);
 	}
-	
+
 }
 /*}}}*/
@@ -219,5 +219,6 @@
 void ElementVector::Echo(void){
 
-	int i,j;
+	int i;
+
 	_printLine_("Element Vector echo:");
 	_printLine_("   nrows: " << nrows);
